Ticket #14413

AuthzPolicyの追加
Open Date: 2008-12-26 16:32 Last Update: 2009-02-15 08:29

Reporter:
Owner:
(None)
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

Wiki等のアクセス権を詳細に管理できるAuthzPolicyを追加して欲しい。

http://svn.edgewall.org/repos/trac/branches/0.11-stable/sample-plugins/permissions/authz_policy.py

また管理画面のPageAuthzPolicyEditorも一緒に

Ticket History (3/8 Histories)

2008-12-26 16:32 Updated by: kanu
  • New Ticket "AuthzPolicyの追加" created
2008-12-26 16:34 Updated by: kanu
  • Type Update from Bugs to Feature Requests
2008-12-29 20:03 Updated by: okamototk
Comment

AuthPolicyは各プロジェクトのpluginディレクトリにインストールすればよいのでしょうか?

どうすれば良いか分からないので教えてください。

2008-12-30 11:40 Updated by: kanu
Comment

trac.iniの[inherit]セクションで plugins_dir をしていするのはどうですか?

私は python\\share\\trac 以下にpluginsを作成し、グローバルiniの plugins_dir に指定することで回避してます。

trac0.11から付属している ticket_clone.py を全プロジェクトで

利用する際にも同じことをする必要があったので手元ではそうしています。



#newegg.pyもトライしてみたのですが駄目でした。

2008-12-30 11:48 Updated by: kanu
Comment

ちなみに共通のプラグインが二カ所に有るのが嫌だったので

python\\Lib\\site-packages を指定するのも試してみたのですが、

何故か.pyなプラグインが全て docutils のコンポーネント扱いになったので、

python\\Lib\\site-packages を指定するのは止めました。

2008-12-30 16:56 Updated by: okamototk
Comment

すいません。単純にインストールの方法を教えてもらって、動作確認をやってみたかったんですが...

# 動作のさせ方が良く分からんかったので...

2008-12-30 21:11 Updated by: None
Comment

Reply To kanu

すいません。単純にインストールの方法を教えてもらって、動作確認をやってみたかったんですが...


最初のポインタが悪かったですね、すみません。

詳細は TracFineGrainedPermissions にあります。

2009-02-15 08:29 Updated by: okamototk
  • Milestone Update from (None) to 2.1 (closed)
  • Ticket Close date is changed to 2009-02-15 08:29
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login